// twsflpd.js
//
// Daten der Flashplayer
// data of flash player

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//       Flash-Player-GUI-Kurzbeschreibung
//       flash play GUI short description
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// ----- Flashplayer hat abweichende Pfadlokalisierung von mp3-Dateien bzw. flv und mp4 und xml ---------
//       Flashplayer has divergent path localisation of mp3 files or flv and mp4 and xml

// SWF-Flashplayerdatei-Pfad
//     	relativ zur Lage des HTML-Dokumentes, das den Flashplayer einbindet
//      Der Player twsflpd.swf MUSS im Unterordner "twsflpdjs" liegen (der Ordner MUSS 
//             direkt unterhalb des Ordners des HTML-Dokumentes existieren).
//
// XML-Playlistendatei-Pfad  
//      relativ zur Lage des HTML-Dokumentes, das den Flashplayer einbindet
//
// Media flv, mp3 and mp4
//        Pfad und Dateiname sind in der XML-Playlisten-Datei angegeben worden
//        fr Internetzugriff ist der volle Pfad anzugeben z.B. http://wwww.testseite.de/media/test.flv
//
//        Pfad bei Video
//      		relativ zur Flashplayer-SWF-Datei
//                                      z.B. mit '..' angeben
//                         oder keinen Pfad angeben, wenn Video im Ordner vom Player (SWF-Datei) liegt
//
//        Pfad bei Audio
//			relativ zum HTML-Dokument sein, das den Flashplayer (SWF-Datei) einbindet
//                                      OHNE '..' angeben
//                      immer Pfad angeben
//			
//    Bsp: Wenn die HTML liegt in           test/
//                  SWF liegt in            test/twsflpdjs/
//                  Video und mp3 liegen in test/video/
//         dann ist fr Video anzugeben       ../video/    da aus twsflpdjs/ raus und dann rein zu video/
//                      mp3                      video/    da von test/ ausgehend, denn in test/ liegt die HTML-Datei

// SWF-Flashplayer path
//  	relatively to the situation of the HTML document which integrates the Flashplayer
//          The player twsflpd.swf must lie in the unterfolder "twsflpdjs" (the folder has to go 
//             directly below the folder of the HTML document exist).
//
// XML-playlist file path
//	relatively to the situation of the HTML document which integrates the Flashplayer
//
// Media flv, mp3 and mp4
//
//	  Path and filename have been given in the XML Playlisten file
//	  for Internet access the full path is to be given f.e. http://wwww.testseite.de/media/test.flv
//
//        path of video
//			relatively to the Flashplayer SWF file
//                                      f.e. code with '..'
//			   or give no path if video lies in the folder of the player (SWF file)
//
//        path of audio
//			be relatively to the HTML document which integrates the Flash player (SWF file)
//					do not code '..'
//			always give path
//			
//   Example: If HTML-file in               test/
//               SFW-file  in               test/twsflpdjs/
//               video and m3 in	    test/video/
//         then code for video		      ../video/    going out from twsflpdjs/ to inside of  video/
//                       mp3                     video/    test/ is the root of HTML-file




// ----- Player Standards ---------------------------------------------------------------------------------
//
//
// Playermodus ist immer Normalbildmodus				Player mode is always a normal picture mode

//          Kontextmen 		right click object menu		ja 	yes
//          Playliste  			playlist                        ja 	yes
//          Controlleiste  		control bar                  	ja 	yes
//          Play-Pause-Taste 		play-pause-button          	nein 	no
//          Minimalsteuerung per Maus   Minimum control by mouse        ja 	yes

//          Javascript-Fernsteuerung des Players nicht verfgbar  	Javascript remote control of the player not available

//          Vollbildmodus nicht aktivierbar			  	Full image mode not activateable
//          Playerlogo sichtbar  				  	player logo visible
//          kein Autostart 1. Track				  	no autoplay of 1. track
//          Autostart next Track per Kontextmen aktivierbar      	autoplay of next track possible
//          Controls wie Buttons und Zeitleiste sichtbar und switchbar	switchable controls (Button, time-bar)

//   Kontextmen ist erlaubt (fr Controlleiste und Playliste).		Object menu is permitted (for Control bar and playlist)
//        Kontextmen wird automatisch nicht erzeugt, wenn 		Object menu is not automatically generated 
//		Controlleiste UND Playliste nicht erzeugt werden.		if control bar AND playlist are not generated.


//   Playliste sichtbar nach Playerstandard erzeugen			playlist obviously after player standard generates

//   Controlleiste (Buttons und Zeitleiste, nicht Playlist) 		control-bar (buttons, time-bar, but not playlist)
//          sichtbar erzeugen laut CAV bzw. nach Playerstandard.		obviously after player standard generates or see CAV

//   Play-Pause-Taste nicht permanent anzeigen.				Play-pause buttons indicate not constantly.

//   Minimalsteuerung per Klick auf den Bereich der(eventuell unsichtbaren) Zeitleiste erlauben.
//     Zeitleiste ist etwas schmaler als der Player breits ist und hat nichts mit der Breite
//             des aktuellen Media wie Video zu tun (Media wird im Player immer zentriert angezeigt).
//     Wenn der Mauscursor auf die Zeitleiste gelangt, erscheint der Hand-Cursor.
//     Nachfolgend die Aktionen, wenn die Maus auf der Zeitleiste ausfhrt:
//       MouseDown (irgendeine Maustaste drcken)
//              pausiert den Titel an aktueller Position (Pause At Pos)
//              Aber wenn Titel noch nicht geladen ist, wird er geladen und ab Anfang abgespielt.
//       MouseUp  (die gedrckte Maustaste loslassen)
//              Titel an der aktuellen Maus-Position weiter gespielt(Play At Mouse Pos)
//                           Wurde nach MouseDown und vor MouseUp der Maus-Cursor auf der Zeitleiste verschoben,
//                             dann hat sich damit auch die Startposition der Wiedergabe verschoben.
//                           Aber wenn Titel noch nicht geladen ist, wird er geladen und ab Anfang abgespielt.


//   Minimalsteuerung per Klick auf den Bereich der(eventuell unsichtbaren) Zeitleiste erlauben.
//     Zeitleiste ist etwas schmaler als der Player breits ist und hat nichts mit der Breite
//             des aktuellen Media wie Video zu tun (Media wird im Player immer zentriert angezeigt).
//     Wenn der Mauscursor auf die Zeitleiste gelangt, erscheint der Hand-Cursor.
//     Nachfolgend die Aktionen, wenn die Maus auf der Zeitleiste ausfhrt:
//       MouseDown (irgendeine Maustaste drcken)
//              pausiert den Titel an aktueller Position (Pause At Pos)
//              Aber wenn Titel noch nicht geladen ist, wird er geladen und ab Anfang abgespielt.
//       MouseUp  (die gedrckte Maustaste loslassen)
//              Titel an der aktuellen Maus-Position weiter gespielt (Play At Mouse Pos)
//                           Wurde nach MouseDown und vor MouseUp der Maus-Cursor auf der Zeitleiste verschoben,
//                             dann hat sich damit auch die Startposition der Wiedergabe verschoben.
//                           Aber wenn Titel noch nicht geladen ist, wird er geladen und ab Anfang abgespielt.

//  Minimum control by click on the range permit him (perhaps, invisible) to time bar.
//     Time bar is a little bit narrow as the player breits nothing is and has with the width
//             to act of the actual media like video (media becomes in the player always centres indicated).
//     If the mouse cursor reaches the time bar, the hand cursor appears.
//     In the following the operations if the mouse on the time bar executes:
//       MouseDown (any mouse button press)
//              if At bottoms) pauses the song in actual position (Pause At Pos)
//              But if song is not loaded yet, he is loaded and played from the beginning.
//       MouseUp (which let go pressed mouse button)
//              song in the actual mouse position further played (Play At Mouse Pos)
//                           If the mouse cursor on the time bar was moved to MouseDown and before MouseUp,
//                             then the start position of the reproduction has also moved itself with it.
//                           But if song is not loaded yet, he is loaded and played from the beginning.


// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//       player twsflpd.swf
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// Datei-Ordner, der den Player twsflpd.swf enthlt
// Datei-Ordner muss direkter Unterordner des Ordners des HTML-Dokumentes sein.
//                    Empfehlung:  In diesen Ordner auch die JS-Dateien twsflpdcd.js und twsflpdd.js ablegen.

// The file folder which contains the player twsflpd.swf
//  File folder must be a direct unterfolder of the folder of the HTML document.
// 			Recommendation: In this folder also put the JS files twsflpdcd.js and twsflpdd.js.


twsflpddva="twsflpdjs/"; // nicht var-kodieren
			 // wenn Leerkette so liegen HTML-Dokument und Player im gemeinsamen Ordner
                	// wenn nicht Leerlette so immer '/' am Ende

			 // do not code "var twsflpddva ...'
			 // if value an empty string then HTML-document and player in same folder
			 // if not an empty string then code '/' at end of string

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//  	Daten fr alle Flashplayer
//      data of ALL flash players
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


// Fr jeden Player gibt es einen neuen Index ab 0
//            Die Folge der Indexe muss lckenlos sein.
//            Wird ein Index 2x verwendet, dann entscheidet die LETZTE Verwendung.
// Sollten Fehler auftreten (inklusive Fehler der XML-Playliste), werden Meldungen im Player angezeigt
//              und im Kontextmen des Player (rechte Maustaste) ist eine Textmeldung sichtbar.
// Variablen der Werte zum Player sind in twsflpdc.js global var-deklariert worden.
// 	Variablen der Werte zum Player werden NUR hier in twsflpdd.js gefllt.
// Playlisten-Daten sind in der Playlisten-XML-Datei hinterlegt.

// Every player get an own number (index) from 0
//		Order of numbers without gap.
//		if a number more than one time used then only last coded context ist actual.
// Should errors appear (including errors of the XML-playlist), messages are indicated in the player
//              and in the object menu of the player (right mouse button) a text message is visible.
// Variables of the values to the player have been global var-declared in twsflpdc.js.
// 	Variables of the values to the player are filled only here in twsflpdd.js.
// Playlist data are deposited in the playlist XML file.


// +++++ Daten zum Flasplayer 0 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//       data of flash player 0

// ----- ID des Players --------------------------------------------------------------------------------
//       ID of player

// Der erzeugte Player bekommt automatisch ID "twsflpdcID0".
// The generated player automatically gets ID "twsflpdcID0".


// ----- lokale Hilfsvariablen zur Vereinfachung --------------------------------------------------------
//       local auxiliary variables to the simplification
 
var twsflpddvc0=480; // maximale Breite in Pixel aller Media (mp3 erhlt auch eine Bild)
		     //     Media werden an diese Dimension automatisch angepasst: Nur Verkleinerung, kein Zoom.
		     //     Media sollten der Breite entsprechen, um Downloadzeiten und Anpassung zu sparen.

		     // maximum width in pixel of all media (mp3 also receives a picture)
	             //     Media are automatically customised to this dimension: Only reduction, no zoom.
		     //     Media should correspond to the width to save download times and adaptation.

var twsflpddvc1=360  // maximale Hhe in Pixel aller Media (mp3 erhlt auch eine Bild)
		     //      plus 
		     //          0 wenn Controlleiste eventuell ber dem Media angezeigt wird
		     //         80 wenn Controlleiste komplett unter dem Media angezeigt wird (muss man austesten !)
		     //     Media werden an diese Dimension autoamtisch angepasst: Nur Verkleinerung, kein Zoom.
		     //     Media sollten der Breite entsprechen, um Downloadzeiten und Anpassung zu sparen.

		     // maximum height in pixel of all media (mp3 also receives a picture)
		     //      plus
		     //          0 if controll bar visible over media
		     //         80 if control  bar visible complete below media (try out)
	             //     Media are automatically customised to this dimension: Only reduction, no zoom.
		     //     Media should correspond to the height to save download times and adaptation.

var twsflpddvc2=0;   // nur fr Microsoft Internet Explorer
		     //    linke obere Ecke des Containers vom Player bezglich links oben des HTML-Dokumentes, also bezglich (0,0)
	             //    X fr horizontal
		     //    >=0, wenn <0 so 0
		     //    Die Angabe ist notwendig, da der Internet Explorer im Gegensatz zu Opera den Player nicht in den
		     //              Container per .innerHTML legen kann, da nach innerHTML im Container nicht gerendert wird.
		     //        Damit muss die Position des Containers bekannt sein, um den Player ber den Container verschieben zu knnen.
		     //        Zugleich gilt aber: Weil Positionen (des Containers) z.B. style.left oder style.top generell erst dann auslesbar sind,
		     //               wenn sie vorher mindestens 1x belegt wurden, muss die Position des Containers vor Beginn der Laufzeit bekannt sein.
		     //                      Die Position muss also statisch verwaltet werden.
		     //        Opera hat dieses Problem nicht und verwaltet komplett dynamisch.

		     // only for Microsoft Internet Explorer
		     //    left upper corner of the container of the player with regard to the HTML document on the top left, so with regard to (0,0)
		     //    X for horizontally
		     //    >=0, if < 0 then 0
		     //	    The entry is necessary, because the Internet Explorer in contrast to opuses the player not in him
 		     //              Container by.innerHTML can lay, because with innerHTML in the container nothing is indicated.
 		     //        With it the position of the container must be confessed to be able to move the player about the container.
		     //        However, at the same time is valid: Because positions (container) is readable out, e.g., style.left or style.top in
		     //               general only then, if they were booked before at least 1x, the position of the container must be confessed before the
		     //                      beginning of the run time. The position must be administered statically.
		     //        This problem does not have opuses and administers completely dynamically.

var twsflpddvc3=Math.floor(twsflpddvc0/4);
		     // nur fr Microsoft Internet Explorer
		     //    linke obere Ecke des Containers vom Player bezglich links oben des HTML-Dokumentes, also bezglich (0,0)
	             //    Y also vertikal
		     //    >=0, wenn <0 so 0
		     //    Die Angabe ist notwendig, da der Internet Explorer im Gegensatz zu Opera den Player nicht in den
		     //              Container per .innerHTML legen kann, da nach innerHTML im Container nicht gerendert wird.
		     //        Damit muss die Position des Containers bekannt sein, um den Player ber den Container verschieben zu knnen.
		     //        Zugleich gilt aber: Weil Positionen (des Containers) z.B. style.left oder style.top generell erst dann auslesbar sind,
		     //               wenn sie vorher mindestens 1x belegt wurden, muss die Position des Containers vor Beginn der Laufzeit bekannt sein.
		     //                      Die Position muss also statisch verwaltet werden.

		     // only for Microsoft Internet Explorer
		     //    left upper corner of the container of the player with regard to the HTML document on the top left, so with regard to (0,0)
		     //    Y for vertically
		     //    >=0, if < 0 then 0
		     //	    The entry is necessary, because the Internet Explorer in contrast to opuses the player not in him
 		     //              Container by.innerHTML can lay, because with innerHTML in the container nothing is indicated.
 		     //        With it the position of the container must be confessed to be able to move the player about the container.
		     //        However, at the same time is valid: Because positions (container) is readable out, e.g., style.left or style.top in
		     //               general only then, if they were booked before at least 1x, the position of the container must be confessed before the
		     //                      beginning of the run time. The position must be administered statically.
		     //        This problem does not have opuses and administers completely dynamically.



// ----- Feld der Daten zum Player ------------------------------------------------------------------------
//       array of data of player

// Datenfeld ist in twsflpdc.js global var-deklariert worden.
// Index des Players ist der Feldindex.

// array have been global var-declared in twsflpdc.js.
// use index of player fr index of array.


twsflpddvb[0]=new Array
(
 // Reihenfolge nicht abndern
 // do not change order of data

 "testID0",     //  0 ID des HTML-Container des Players z.B. DIV
                //
                //        Bsp.: <BODY>
                //                 <DIV ID="testID0">Dieser Text wird durch den Player ersetzt</DV>
                //              </BODY>
                //       Container MUSS im BODY liegen und muss folgende Eigenschaften haben
                //                        .id
                //                        .innerHTML
		//                        .style.left
		//                        .style.top

		//  0 ID of HTML-container of player f.e. DIV
                //
                //        Example: <BODY>
                //                  <DIV ID="testID0">this Text will be overwritten during install of player</DV>
                //                 </BODY>
                //       container ony inside of BODY
		//                 with properites
                //                        .id
                //                        .innerHTML
		//                        .style.left
		//                        .style.top
 
 "twsflpdjs/",  //  1 XML-Playlistendatei-Pfad  
		//      relativ zur Lage des HTML-Dokumentes, das den Flashplayer einbindet
		//      Leerkette mglich
		//      wenn nicht Leerlette so immer '/' am Ende
                //      Hinweis: Ordner des Flashlayers laut twsflpddva
		// Media flv, mp3 and mp4
		//        Pfad und Dateiname sind in der XML-Playlisten-Datei angegeben worden
		//        fr Internetzugriff ist der volle Pfad anzugeben z.B. http://wwww.testseite.de/media/test.flv
		//
		//        Pfad bei Video
		//      		relativ zur Flashplayer-SWF-Datei
		//                                      z.B. mit '..' angeben
		//                         oder keinen Pfad angeben, wenn Video im Ordner vom Player (SWF-Datei) liegt
		//
		//        Pfad bei Audio
		//			relativ zum HTML-Dokument sein, das den Flashplayer (SWF-Datei) einbindet
		//                                      OHNE '..' angeben
		//                      immer Pfad angeben
		//			
		//    Bsp: Wenn die HTML liegt in           test/
		//                  SWF liegt in            test/twsflpdjs/
		//                  Video und mp3 liegen in test/video/
		//         dann ist fr Video anzugeben       ../video/    da aus twsflpdjs/ raus und dann rein zu video/
		//                      mp3                      video/    da von test/ ausgehend, denn in test/ liegt die HTML-Datei

		// 1 XML-playlist file path
		//	relatively to the situation of the HTML document which integrates the Flashplayer
		//      emtpy string possible
		//      if not an empty string then code '/' at end of string
		//      Tip: Folder of falsh player see twsflpddva
		// Media flv, mp3 and mp4
		//
		//	  Path and filename have been given in the XML Playlisten file
		//	  for Internet access the full path is to be given f.e. http://wwww.testseite.de/media/test.flv
		//
		//        path of video
		//			relatively to the Flashplayer SWF file
		//                                      f.e. code with '..'
		//			   or give no path if video lies in the folder of the player (SWF file)
		//
		//        path of audio
		//			be relatively to the HTML document which integrates the Flash player (SWF file)
		//					do not code '..'
		//			always give path
		//			
		//   Example: If HTML-file in               test/
		//               SFW-file  in               test/twsflpdjs/
		//               video and m3 in	    test/video/
		//         then code for video		      ../video/    going out from twsflpdjs/ to inside of  video/
		//                       mp3                     video/    test/ is the root of HTML-file

 "twsflpd.xml", //  2 XML-Datei der Playliste zum Player, Pfad: siehe oben 0
                //    muss angegeben werden und Datei muss existieren
                //    Suffix muss exakt "xml" sein und nicht z.B. "XML" oder "xMl" etc.

		//  2 XML-file of playlist of player, path see above 0
		//    must be coded, file must exist
		//    suffix of file exactly "xml"  and not f.e. "XML" oder "xMl" etc.

 twsflpddvc0.toString(),         
                //  3 maximale Breite in Pixel aller Media (mp3 erhlt auch eine Bild)
		//     Media werden an diese Dimension automatisch angepasst: Nur Verkleinerung, kein Zoom.
		//     Media sollten der Breite entsprechen, um Downloadzeiten und Anpassung zu sparen.

		//  3 maximum width in pixel of all media (mp3 also receives a picture)
	        //     Media are automatically customised to this dimension: Only reduction, no zoom.
		//     Media should correspond to the width to save download times and adaptation.

 twsflpddvc1.toString(),         
		//  4 maximale Hhe in Pixel aller Media (mp3 erhlt auch eine Bild)
                //      plus 
                //          0 wenn Controlleiste eventuell ber dem Media angezeigt wird
                //         80 wenn Controlleiste komplett unter dem Media angezeigt wird (muss man austesten !)
		//     Media werden an diese Dimension autoamtisch angepasst: Nur Verkleinerung, kein Zoom.
		//     Media sollten der Breite entsprechen, um Downloadzeiten und Anpassung zu sparen.

		// 4 maximum height in pixel of all media (mp3 also receives a picture)
                //      plus
                //          0 if controll bar visible over media
                //         80 if control  bar visible complete below media (try out)
	        //     Media are automatically customised to this dimension: Only reduction, no zoom.
		//     Media should correspond to the height to save download times and adaptation.

 "#000000",     // 5 Hexaziffernfolge #rrggbb der Hintergrundfarbe des Playerfensters im RGB-Format
            	//	# ist immer anzugeben
            	//	rr Anteil Rot   00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	gg Anteil Gr&uuml;n 00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	bb Anteil Blau  00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	Es gibt Freewaren, die k&ouml;nnen Farben anzeigen und nach Hexa umrechnen.
                //      nur sichtbar wenn 7 PARAM "wmode" nicht auf "transparent"

		// 5 Hexa digits #rrggbb of the background colour of the player window in the RGB format.
            	//	# is always to be given
            	//	rr part red   00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	gg part green 00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	bb part blue  00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	There is freeware, they can indicate colours and convert to Hexa.
                //      only visible if 7 PARAM "wmode" not set to "transparent"

 0,             // 6 numerisch
                //    Player bedingt installieren               
                //    <  0  Flashplayer nur installieren, wenn Microsoft Internet Explorer erkannt
                //    == 0 Flashplayer installieren egal welcher Browser
                //    >  0  Flashplayer nur installieren, wenn nicht Microsoft Internet Explorer erkannt

		// 6 numeric
                //    conditional install of player               
                //    <  0 flash player install only in Microsoft Internet Explorer 
                //    == 0 flash player install for every browser
                //    >  0 flash player install every browser but NOT in Non-Microsoft Internet Explorer

 "transparent", // 7 Transparenz der Anzeigeflche (ausser Flche der Controls, Zeitleiste)
            	//	"transparent" so Hintergrund der Webseite scheint durch (Der Player zeigt das TWS-Logo immer an)
            	//	"opaque" oder "window" so Hintergrund der Webseite scheint nicht durch (Der Player zeigt das TWS-Logo immer an)
            	//	Empfehlung: "transparent"
                //    "opaque" und window" ohne Unterschied: rendern Hintergrundfarbe laut 5 Player Hintergrundfarbe

		// 7 Transparency of the display surface (except surface of the controls, time bar)
            	//	"transparent" so background of the web page shines through (the player indicates the TWS logo, however, always).
            	//	"opaque" or "window" so background of the web page does not shine through (the player indicates the TWS logo, however, always).
            	//	Recommendation: "transparent"
		//	"opaque" and window" without difference: Display background colour, see 5 players background colour

 "false",       // 8 Player-GUI-Sprache, "true" so Deutsch, "false" Englisch.
		// 8 Player GUI language, true for German, false for English.

 "808080",      //  9 Hexaziffernfolge rrggbb Hintergrundfarbe der Controlleiste im RGB-Format
            	//	rr Anteil Rot   00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	gg Anteil Gr&uuml;n 00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	bb Anteil Blau  00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	Es gibt Freewaren, die k&ouml;nnen Farben anzeigen und nach Hexa umrechnen.
           	//	beachte 5 Player Hintergrundfarbe

		// 9 Hexa digits rrggbb of the background colour of the player control bar in the RGB format.
            	//	rr part red   00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	gg part green 00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	bb part blue  00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	There is freeware, they can indicate colours and convert to Hexa.
           	//	see 5 players background colour

 "0x00FF00",    // 10 Hexaziffernfolge 0xrrggbb Hintergrundfarbe der Playliste im RGB-Format
            	//	0x ist immer anzugeben
            	//	rr Anteil Rot   00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	gg Anteil Gr&uuml;n 00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	bb Anteil Blau  00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	Es gibt Freewaren, die k&ouml;nnen Farben anzeigen und nach Hexa umrechnen.
           	//	beachte 5 Player Hintergrundfarbe

		// 10 Hexa digits 0xrrggbb of the background colour of the player playlist bar in the RGB format.
            	//	0x is always to be given
            	//	rr part red   00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	gg part green 00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	bb part blue  00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	There is freeware, they can indicate colours and convert to Hexa.
           	// see 5 players background colour

 "0xFFFFFF",    // 11 Hexaziffernfolge 0xrrggbb Textfarbe der Playliste im RGB-Format
            	//	0x ist immer anzugeben
            	//	rr Anteil Rot   00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	gg Anteil Gr&uuml;n 00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	bb Anteil Blau  00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	Es gibt Freewaren, die k&ouml;nnen Farben anzeigen und nach Hexa umrechnen.
           	//	beachte 5 Player Hintergrundfarbe

		// 11 Hexa digits 0xrrggbb of the text colour of the player playlist in the RGB format.
            	//	0x is always to be given
            	//	rr part red   00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	gg part green 00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	bb part blue  00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	There is freeware, they can indicate colours and convert to Hexa.
           	//	see 5 players background colour

 "true",        // 12 Erlaubnis der Anzeige des MP3-Oszillator (Wellen-Form-Anzeige)
            	//	"true" so Oszillographen anzeigen
            	//	"false" so Oszillographen nicht anzeigen und auch die nachfolgenden Oszillator-Eigenschaften ignorieren
            	//	wird automatisch false, wenn OLO und OWO beide "0", also voll transparent, also gibt es nichts zu rendern
            	//	Empfehlung: "true"

		// 12 Permission of the display of the MP3 oscillator (wave form display)
            	//	"true" does permit
            	//	"false" does not permit and ignore other properties of oscillator
            	//	automatically set to false, if OLO and OWO both set to "0" (set to full transparent, nothing to display).
            	//	Recommendation: "true"

 "0x00FFFF",    // 13 Hexaziffernfolge 0xrrggbb MP3-Oszillator Usrpunglinie Farbe, (0 Pegel-Linie)
            	//	0x ist immer anzugeben
            	//	rr Anteil Rot   00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	gg Anteil Gr&uuml;n 00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	bb Anteil Blau  00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	Es gibt Freewaren, die k&ouml;nnen Farben anzeigen und nach Hexa umrechnen.
           	//	beachte 5 Player Hintergrundfarbe

		// 13 Hexa digits 0xrrggbb MP3 oscillator color of origin line, (0 level recorder line)
	        //	0x is always to be given
            	//	rr part red   00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	gg part green 00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	bb part blue  00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	There is freeware, they can indicate colours and convert to Hexa.
           	//	see 5 players background colour

 "20",          // 14 MP3-Oszillator Ursprunglinie Opaque, 0 bis 100
          	//	0 voll transparent (Hintergrundfarbe ist dann egal)
          	//	100 voll abdeckend
          	//	Empfehlung: 20

		// 14 MP3 oscillator opaque of origin line, 0 - 100
          	//	0 full transparent (background color ignored)
          	//	100 full opaque (full non transparent)
          	//	Recommendation: 20


 "0xFFFFFF",    // 15 Hexaziffernfolge 0xrrggbb MP3-Oszillator Welle Farbe
            	//	0x ist immer anzugeben
            	//	rr Anteil Rot   00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	gg Anteil Gr&uuml;n 00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	bb Anteil Blau  00 bis FF  entspricht 0 bis 255 (RGB-Format)
            	//	Es gibt Freewaren, die k&ouml;nnen Farben anzeigen und nach Hexa umrechnen.
           	//	beachte 5 Player Hintergrundfarbe

		// 15 Hexa digits 0xrrggbb MP3 oscillator color of wave
            	//	0x is always to be given
            	//	rr part red   00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	gg part green 00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	bb part blue  00 bis FF  corresponds 0 bis 255 (RGB-format)
            	//	There is freeware, they can indicate colours and convert to Hexa.
           	//	see 5 players background colour

 "20",          // 16 MP3-Oszillator Wellen Opaque, 0 bis 100
          	//	0 voll transparent (Hintergrundfarbe ist dann egal)
          	//	100 voll abdeckend
          	//	Empfehlung: 20

		// 16 MP3 oscillator opaque of wave, 0 - 100
          	//	0 full transparent (background color ignored)
          	//	100 full opaque (full non transparent)
          	//	Recommendation: 20


 "false",       // 17 MP3-Oszillator Wellenraster
            	//	true so Feinraster und hohe CPU-Belastung
            	//	false so Grobraster und geringe CPU-Belastung
            	//	Empfehlung: false

		// 17 MP3 oscillator wave grid
            	//	true detailed grid and high performance of CPU
            	//	false non detailed grid and low performance of CPU
            	//	Recommendation: false

 "sameDomain",  // 18 Scriptzugriff der Webseite auf Flash (SWF) erlauben (Der Player hat keinen Scriptzugriff implementiert).
            	//	"sameDomain"  SWF und Webpage m&uuml;ssen auf identischer Domain liegen
            	//	"always" SWF und Webpage k&ouml;nnen auf verschiedenen Domains liegen
            	//	Empfehlung: "sameDomain"

		// 18 Access of the web page to Flash (SWF) permit by script (the player has implemented no access by script)
            	//	"sameDomain"  SWF and web page must lie on identical domain.
            	//	"always" SWF and web page can lie on different domains.
            	//	Recommendation: "sameDomain"

 "all",         // 19 Netzwerkeigenschaften von Flash (SWF) erlauben (Der Player hat keinen Scriptzugriff implementiert).
            	//	"all" Flash-System-Netzwerk- und Javascriptschnittstelle sind nutzbar, Datei von Flash ladbar
            	//	"internal" Flash-System-Netzwerk-Schnittstelle nur teilweise und Javascriptschnittstelle sind nutzbar
            	//	"none" Flash-System-Netzwerk- und Javascriptschnittstelle sind beide NICHT nutzbar
            	// 	Empfehlung: "all"

		// 19 Network properties of Flash (SWF) permit (the player has implemented no access by script)
            	//	"all" Flash System Network- and javascript interface are both full usable, file of Flash loadable.
            	//	"internal" Flash System Network interface partial and javascript interface full usable.
            	//	"none" Flash System Network- and javascript interface are both not usable.
            	//	Recommendation: "all"

 "best",        // 20 Qualitt der Anzeige eines Media (nicht Qualitt des Media selbst)
            	//	"low" kein Anti-aliasing
            	//	"autolow" automatisches low
            	//	"autohigh" auto Anit-aliasing
            	//	"medium"
            	//	"high"
            	//	"best"
            	//	Empfehlung: "best"

		// 21 Quality of the display of media (not quality of the media)
            	//	"low" no anti-aliasing
            	// 	"autolow" automatically set to low
            	// 	"autohigh" auto anti-aliasing
            	// 	"medium"
            	//	"high"
            	//	"best"
            	//	Recommendation: "best"
 
 "showall",     // 21 Exaktheit der Anzeige eines Media (nicht Qualitt des Media selbst)
            	//	"showall" exaktes Anzeigen
            	//	"noborder" und "exactfit" verzerren
            	//	Empfehlung: "showall"

		// 21 Precision of the display of media (not quality of the media)
            	//	"showall" exact display
            	//	"noborder" and "exactfit" not exact display (distorted indicate)
            	//	Recommendation: "showall"

 twsflpddvc2,   // 22 nur fr Microsoft Internet Explorer
		//    linke obere Ecke des Containers vom Player bezglich links oben des HTML-Dokumentes, also bezglich (0,0)
	        //    X fr horizontal
            	//    >=0, wenn <0 so 0
            	//    Die Angabe ist notwendig, da der Internet Explorer im Gegensatz zu Opera den Player nicht in den
            	//              Container per .innerHTML legen kann, da nach innerHTML im Container nicht gerendert wird.
		//        Damit muss die Position des Containers bekannt sein, um den Player ber den Container verschieben zu knnen.
            	//        Zugleich gilt aber: Weil Positionen (des Containers) z.B. style.left oder style.top generell erst dann auslesbar sind,
            	//               wenn sie vorher mindestens 1x belegt wurden, muss die Position des Containers vor Beginn der Laufzeit bekannt sein.
		//                      Die Position muss also statisch verwaltet werden.
		//        Opera hat dieses Problem nicht und verwaltet komplett dynamisch.

		// 22 only for Microsoft Internet Explorer
		//    left upper corner of the container of the player with regard to the HTML document on the top left, so with regard to (0,0)
            	//    X for horizontally
		//    >=0, if < 0 then 0
		//	    The entry is necessary, because the Internet Explorer in contrast to opuses the player not in him
 		//              Container by.innerHTML can lay, because with innerHTML in the container nothing is indicated.
 		//        With it the position of the container must be confessed to be able to move the player about the container.
            	//        However, at the same time is valid: Because positions (container) is readable out, e.g., style.left or style.top in
            	//               general only then, if they were booked before at least 1x, the position of the container must be confessed before the
            	//                      beginning of the run time. The position must be administered statically.
		//        This problem does not have opuses and administers completely dynamically.

 twsflpddvc3    // 23 nur fr Microsoft Internet Explorer
            	//    linke obere Ecke des Containers vom Player bezglich links oben des HTML-Dokumentes, also bezglich (0,0)
	        //    Y also vertikal
            	//    >=0, wenn <0 so 0
            	//    Die Angabe ist notwendig, da der Internet Explorer im Gegensatz zu Opera den Player nicht in den
            	//              Container per .innerHTML legen kann, da nach innerHTML im Container nicht gerendert wird.
		//        Damit muss die Position des Containers bekannt sein, um den Player ber den Container verschieben zu knnen.
            	//        Zugleich gilt aber: Weil Positionen (des Containers) z.B. style.left oder style.top generell erst dann auslesbar sind,
            	//               wenn sie vorher mindestens 1x belegt wurden, muss die Position des Containers vor Beginn der Laufzeit bekannt sein.
		//                      Die Position muss also statisch verwaltet werden.

		// 24 only for Microsoft Internet Explorer
		//    left upper corner of the container of the player with regard to the HTML document on the top left, so with regard to (0,0)
            	//    Y for vertically
		//    >=0, if < 0 then 0
		//	    The entry is necessary, because the Internet Explorer in contrast to opuses the player not in him
 		//              Container by.innerHTML can lay, because with innerHTML in the container nothing is indicated.
 		//        With it the position of the container must be confessed to be able to move the player about the container.
            	//        However, at the same time is valid: Because positions (container) is readable out, e.g., style.left or style.top in
            	//               general only then, if they were booked before at least 1x, the position of the container must be confessed before the
            	//                      beginning of the run time. The position must be administered statically.
		//        This problem does not have opuses and administers completely dynamically.

);


// +++++ Daten zum Flasplayer ab 1 und hher ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//       data of flash player 1 and higher

// Flashplayer wird nicht bentigt.
// flash player are not in use.


// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//  ENDE end
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++